curl -X POST 'https://crypto-api.yativo.com/api/transactions/cancel' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF"
}'
{
"status": "success",
"message": "Transaction cancelled successfully",
"data": {
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
"status": "cancelled",
"cancelled_at": "2026-03-26T12:01:00Z"
}
}
Cancel a pending transaction before it is confirmed on-chain
curl -X POST 'https://crypto-api.yativo.com/api/transactions/cancel' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF"
}'
{
"status": "success",
"message": "Transaction cancelled successfully",
"data": {
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
"status": "cancelled",
"cancelled_at": "2026-03-26T12:01:00Z"
}
}
Bearer YOUR_ACCESS_TOKENpending status can be cancelled. Once a transaction is broadcast and being confirmed on-chain, cancellation may not be possible.curl -X POST 'https://crypto-api.yativo.com/api/transactions/cancel' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF"
}'
{
"status": "success",
"message": "Transaction cancelled successfully",
"data": {
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
"status": "cancelled",
"cancelled_at": "2026-03-26T12:01:00Z"
}
}